Bug 75137 - Bug in spec/preuninstall - Deinstallation shows an error
Bug in spec/preuninstall - Deinstallation shows an error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 15:02 EDT by Peter Bieringer
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-19 02:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2002-10-04 15:02:07 EDT
Description of problem:
Deinstallation of vixie-cron shows an error, bug in preuninstall scriptlet in
spec file

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-69.i386.rpm


How reproducible:
Always

Steps to Reproduce:
1. rpm -e vixie-cron
	

Actual Results:  # rpm -e vixie-cron
/var/tmp/rpm-tmp.69851: line 2: [: missing `]'

Expected Results:  Not such problem

Additional info:

preuninstall scriptlet (through /bin/sh):
if [ "$1" = 0 ]; then
    [ -f /var/lock/subsys/crond] && /sbin/service crond stop >/dev/null 2>&1
    /sbin/chkconfig --del crond
fi

Fix:

-    [ -f /var/lock/subsys/crond] && /sbin/service crond stop >/dev/null 2>&1
+    [ -f /var/lock/subsys/crond ] && /sbin/service crond stop >/dev/null 2>&1
Comment 1 Jens Petersen 2003-02-19 08:43:34 EST
Thanks for the report. Should be fixed in 3.0.1-74.
Please confirm.

Note You need to log in before you can comment on or make changes to this bug.